Package: groovy.ui

## [Groovy] Class HistoryRecord

- groovy.ui.HistoryRecord

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `allText`
    `Throwable` | `exception`
    `Object` | `result`
    `String` | `scriptName`
    `int` | `selectionEnd`
    `int` | `selectionStart`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getTextToRun(boolean useSelection)`
    `` | `Object` | `getValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### String allText

    - #### Throwable exception

    - #### Object result

    - #### String scriptName

    - #### int selectionEnd

    - #### int selectionStart

  - ### Method Detail

    - #### String getTextToRun(boolean useSelection)

    - #### Object getValue()